/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.impl;

import javax.annotation.Nonnull;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import it.tidalwave.util.ui.FlowController;
import it.tidalwave.bluebill.mobile.taxonomy.ui.spi.DefaultTaxonPickerViewController;
import it.tidalwave.bluebill.taxonomy.mobile.Taxon.Rank;
import lombok.extern.slf4j.Slf4j;
import static org.openide.util.NbBundle.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@Slf4j
public class BrowseByRankAction extends AbstractAction
  {
    private static final Class<DefaultTaxonPickerViewController> _ = DefaultTaxonPickerViewController.class;
    
    @Nonnull
    /* package */ final Rank rank;
    
    @Nonnull 
    /* package */ final FlowController flowController;

    public BrowseByRankAction (final @Nonnull Rank rank, final @Nonnull FlowController flowController) 
      {
        super(getMessage(_, "browseBy" + rank));
        this.rank = rank;
        this.flowController = flowController;
      } 
 
    public void actionPerformed (final @Nonnull ActionEvent event) 
      {
        log.info("BrowseByRankAction.actionPerformed(): {}", rank);
        flowController.toNextStep(rank);
      }
  }
