/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.impl;

import javax.annotation.Nonnull;
import javax.swing.AbstractAction;
import java.awt.event.ActionEvent;
import it.tidalwave.role.ui.PresentationModel;
import it.tidalwave.util.ui.FlowController;
import it.tidalwave.bluebill.taxonomy.mobile.Taxon;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor @Slf4j
public class SelectTaxonAction extends AbstractAction
  {
    @Nonnull 
    /* package */ final PresentationModel taxonPM;

    @Nonnull 
    /* package */ final FlowController flowController;
        
    public void actionPerformed (final @Nonnull ActionEvent event) 
      {
        log.info("SelectTaxonAction.actionPerformed(): {}", taxonPM);
        flowController.toNextStep(taxonPM.as(Taxon.class));
      }
  }

