/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.ui;

import javax.annotation.Nonnull;
import it.tidalwave.util.thread.annotation.ThreadConfined;
import it.tidalwave.util.ui.LockableView;
import it.tidalwave.role.ui.PresentationModel;
import static it.tidalwave.util.thread.ThreadType.*;

/***********************************************************************************************************************
 *
 * @stereotype View
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public interface TaxonPickerView extends LockableView
  {
    /*******************************************************************************************************************
     *
     * Populates the view.
     * 
     * @param  taxaPM   the {@link PresentationModel}
     *
     ******************************************************************************************************************/
    @ThreadConfined(type=ANY)
    public void populate (@Nonnull PresentationModel taxaPM);

    /*******************************************************************************************************************
     *
     * Shows the taxonomy name.
     * 
     * @param  taxonomyName  the taxonomy name
     *
     ******************************************************************************************************************/
    @ThreadConfined(type=ANY)
    public void showTaxonomyName (@Nonnull String taxonomyName);

    /*******************************************************************************************************************
     *
     * Shows the taxonomy languages.
     * 
     * @param  taxonomyLanguages  the taxonomy languages
     *
     ******************************************************************************************************************/
    @ThreadConfined(type=ANY)
    public void showTaxonomyLanguages (@Nonnull String taxonomyLanguages);
  }
